%global api_ver 0.10

Name:           gstreamermm
Version:        0.10.8
Release:        3%{?dist}.1

Summary:        C++ wrapper for GStreamer library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gstreamermm/0.10/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: glibmm24-devel >= 2.21.1
BuildRequires: gstreamer-devel >= 0.10.24
BuildRequires: gstreamer-plugins-base-devel >= 0.10.24
BuildRequires: libxml++-devel >= 2.14.0
BuildRequires: doxygen graphviz m4


%description
GStreamermm is a C++ wrapper library for the multimedia library
GStreamer (http://gstreamer.freedesktop.org).  It is designed to allow
C++ development of applications that work with multi-media.


%package        devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       glibmm24-devel
Requires:       gstreamer-plugins-base-devel
Requires:       gstreamer-devel
Requires:       pkgconfig


%description devel
This package contains the static libraries and header files needed for
developing gstreamermm applications.

%package          doc
Summary:          Developer's documentation for the gstreamermm library
Group:            Documentation
BuildArch:        noarch
BuildRequires:    doxygen graphviz
Requires:         glibmm24-doc

%description      doc
This package contains developer's documentation for the GStreamermm
library. Gstreamermm is the C++ API for the GStreamer library.

The documentation can be viewed either through the devhelp
documentation browser or through a web browser.

%prep
%setup -q


%build
%configure --enable-shared --disable-examples --enable-docs --disable-dependency-tracking
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*


%files devel
%defattr(-, root, root, -)
%{_includedir}/gstreamermm-0.10
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{name}-%{api_ver}

%files doc
%defattr(-, root, root, -)
%doc COPYING
%doc %{_datadir}/doc/%{name}-%{api_ver}/
%doc %{_datadir}/devhelp/books/%{name}-%{api_ver}/


%changelog
* Tue Feb 22 2011 Haïkel Guémar <hguemar@fedoraproject.org> - 0.10.8-3
- split doc into subpackage

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Oct 24 2010 Haïkel Guémar <hguemar@fedoraproject.org> - 0.10.8-1
- Update to upstream 0.10.8

* Fri Apr 30 2010 Haïkel Guémar <hguemar@fedoraproject.org> - 0.10.7-1
- Update to upstream 0.10.7

* Mon Jan  4 2010 Denis Leroy <denis@poolshark.org> - 0.10.6-1
- Update to upstream 0.10.6

* Sat Nov  7 2009 Denis Leroy <denis@poolshark.org> - 0.10.5.2-1
- Update to 0.10.5.2
- Fix devhelp doc setup

* Mon Sep 14 2009 Denis Leroy <denis@poolshark.org> - 0.10.5-1
- Update to upstream 0.10.5
- doc patch upstreamed

* Wed Sep  2 2009 Denis Leroy <denis@poolshark.org> - 0.10.4-2
- Rebuild for new glibmm24
- Added patch to remove beautify_docs

* Thu Aug 20 2009 Denis Leroy <denis@poolshark.org> - 0.10.4-1
- Update to upstream 0.10.4

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 26 2009 Denis Leroy <denis@poolshark.org> - 0.10.2-1
- Update to upstream 0.10.2

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Denis Leroy <denis@poolshark.org> - 0.10.1-1
- Update to upstream 0.10.1
- No longer uses gstreamerbase include dir

* Sun Dec 28 2008 Denis Leroy <denis@poolshark.org> - 0.9.8-2
- Rebuild for pkgconfig

* Fri Dec 26 2008 Denis Leroy <denis@poolshark.org> - 0.9.8-1
- Update to upstream 0.9.8
- Disabled parallel make

* Fri Oct 10 2008 Denis Leroy <denis@poolshark.org> - 0.9.7-1
- Update to upstream 0.9.7

* Wed Sep  3 2008 Denis Leroy <denis@poolshark.org> - 0.9.6-1
- Update to upstream 0.9.6

* Sat May 31 2008 Denis Leroy <denis@poolshark.org> - 0.9.5-1
- Update to upstream 0.9.5
- Fixed gstreamer plugin BuildRequires

* Fri Feb 22 2008 Denis Leroy <denis@poolshark.org> - 0.9.4-1
- Updated to upstream 0.9.4

* Sun Feb 17 2008 Denis Leroy <denis@poolshark.org> - 0.9.2-1
- First draft
